Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml.model
Class Send

    java.lang.Object
      org.apache.commons.scxml.model.Action
          org.apache.commons.scxml.model.Send

All Implemented Interfaces:
  ExternalContent, NamespacePrefixesHolder, Serializable

public class Send
extends Action
implements ExternalContent

The class in this SCXML object model that corresponds to the <send> SCXML element.

See Also:
  Serialized Form

Constructor Summary
`Send()` Constructor.

Method Summary
`void` | `execute(EventDispatcher evtDispatcher, ErrorReporter errRep, SCInstance scInstance, org.apache.commons.logging.Log appLog, Collection derivedEvents)` Execute this action instance.
`String` | `getDelay()` Get the delay.
`String` | `getEvent()` Set the event to send.
`List` | `getExternalNodes()` Get the list of external namespaced child nodes.
`String` | `getHints()` Get the hints for this <send> element.
`String` | `getNamelist()` Get the namelist.
`String` | `getSendid()` Get the identifier for this <send> element.
`String` | `getTarget()` Get the target for this <send> element.
`String` | `getTargettype()` Get the target type for this <send> element.
`void` | `setDelay(String delay)` Set the delay.
`void` | `setEvent(String event)` Get the event to send.
`void` | `setExternalNodes(List externalNodes)` Set the list of external namespaced child nodes.
`void` | `setHints(String hints)` Set the hints for this <send> element.
`void` | `setNamelist(String namelist)` Set the namelist.
`void` | `setSendid(String sendid)` Set the identifier for this <send> element.
`void` | `setTarget(String target)` Set the target for this <send> element.
`void` | `setTargettype(String targettype)` Set the target type for this <send> element.

Methods inherited from class org.apache.commons.scxml.model.Action
`getNamespaces, getNamespacesKey, getParent, getParentState, getParentTransitionTarget, setNamespaces, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Send

    public Send()

  Constructor.

Method Detail

### getDelay

    public final String getDelay()

  Get the delay.

  Returns:
    Returns the delay.

### setDelay

    public final void setDelay(String delay)

  Set the delay.

  Parameters:
    `delay` - The delay to set.

### getExternalNodes

    public final List getExternalNodes()

  Get the list of external namespaced child nodes.

  Specified by:
    `getExternalNodes` in interface `ExternalContent`
  Returns:
    List Returns the list of externalnodes.

### setExternalNodes

    public final void setExternalNodes(List externalNodes)

  Set the list of external namespaced child nodes.

  Parameters:
    `externalNodes` - The externalnode to set.

### getHints

    public final String getHints()

  Get the hints for this <send> element.

  Returns:
    String Returns the hints.

### setHints

    public final void setHints(String hints)

  Set the hints for this <send> element.

  Parameters:
    `hints` - The hints to set.

### getNamelist

    public final String getNamelist()

  Get the namelist.

  Returns:
    String Returns the namelist.

### setNamelist

    public final void setNamelist(String namelist)

  Set the namelist.

  Parameters:
    `namelist` - The namelist to set.

### getSendid

    public final String getSendid()

  Get the identifier for this <send> element.

  Returns:
    String Returns the sendid.

### setSendid

    public final void setSendid(String sendid)

  Set the identifier for this <send> element.

  Parameters:
    `sendid` - The sendid to set.

### getTarget

    public final String getTarget()

  Get the target for this <send> element.

  Returns:
    String Returns the target.

### setTarget

    public final void setTarget(String target)

  Set the target for this <send> element.

  Parameters:
    `target` - The target to set.

### getTargettype

    public final String getTargettype()

  Get the target type for this <send> element.

  Returns:
    String Returns the targettype.

### setTargettype

    public final void setTargettype(String targettype)

  Set the target type for this <send> element.

  Parameters:
    `targettype` - The targettype to set.

### setEvent

    public final void setEvent(String event)

  Get the event to send.

  Parameters:
    `event` - The event to set.

### getEvent

    public final String getEvent()

  Set the event to send.

  Returns:
    String Returns the event.

### execute

    public void execute(EventDispatcher evtDispatcher,
                        ErrorReporter errRep,
                        SCInstance scInstance,
                        org.apache.commons.logging.Log appLog,
                        Collection derivedEvents)
                 throws ModelException,
                        SCXMLExpressionException

  Execute this action instance.

  Specified by:
    `execute` in class `Action`
  Parameters:
    `evtDispatcher` - The EventDispatcher for this execution instance
    `errRep` - The ErrorReporter to broadcast any errors during execution.
    `scInstance` - The state machine execution instance information.
    `appLog` - The application Log.
    `derivedEvents` - The collection to which any internal events arising from the execution of this action must be added.
  Throws:
    `SCXMLExpressionException` - If the execution involves trying to evaluate an expression which is malformed.
    `ModelException` - If the execution causes the model to enter a non-deterministic state.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2008 The Apache Software Foundation. All Rights Reserved.